Skip to main content
Get E Mail Envelopes From Server Ids

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Body

ConnectionInfo, MessageServerIds

GetEMailEnvelopesFromServerIds: Retrieve a set of e-mail envelopes

ConnectionInfo
object

All information needed to connect to a mailserver Carrier object for EMailConnectionInfo. Services for the EMailConnectionInfo Carrier is available from the EMail Agent.

MessageServerIds
string[]

Response

OK

ServerId
integer<int32>

Unique id for the e-mail on the server

ServerIdentifier
string

Unique string id for the e-mail on the server (Graph API

MessageId
string

Unique id of e-mails

Subject
string

Subject of the e-mail

From
object

Carrier object for EMailAddress. Services for the EMailAddress Carrier is available from the EMail Agent.

To
object[]

To recipients of e-mail

Sent
string<date-time>

When was the e-mail sent

Priority
enum<string>

Importance of the e-mail

Available options:
NoPriority,
Highest,
High,
Normal,
Low,
Lowest
Flags
enum<string>

Flag status of this mail (unread, replied, deleted )

Available options:
None,
Seen,
Deleted,
Recent,
Flagged,
Draft,
Answered
Size
integer<int32>

Total size of the e-mail

EMailSOInfo
object

Glue between SuperOffice data and an e-mail. Carrier object for EMailSOInfo. Services for the EMailSOInfo Carrier is available from the EMail Agent.

TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.